CREATE TABLE cso_discussion_board (
    ABUSE_THRESHOLD       NUMBER        ,
    BAN_IF_ABUSE          NUMBER        ,
    BAN_USER_DAYS         NUMBER        ,
    DATE_ADDED            TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED         TIMESTAMP(6)      NOT NULL,
    ENABLE_ABUSE          NUMBER        ,
    HELPFUL_POINTS        NUMBER        ,
    HELPFUL_QUANTITY      NUMBER        ,
    MESSAGE_RATING_ID     VARCHAR2(128) ,
    OWNER_SITE_ID         VARCHAR2(128)     NOT NULL,
    RECORD_ID             VARCHAR2(128) ,
    REFERENCE_KEY         VARCHAR2(1020)    NOT NULL,
    SOLVED_POINTS         NUMBER        ,
    SOLVED_QUANTITY       NUMBER        ,
    TOPIC_RATING_ID       VARCHAR2(128) ,
    UNPUBLISH_IF_ABUSE    NUMBER        ,
    MODERATE_IF_ABUSE     NUMBER        ,
    USER_ID               VARCHAR2(128) ,
    USER_NAME             VARCHAR2(400)     NOT NULL,
    USER_PARTY_ID         NUMBER(18, 0) ,
    ABUSE_THRESHOLD       NUMBER        ,
    BAN_IF_ABUSE          NUMBER        ,
    BAN_USER_DAYS         NUMBER        ,
    DATE_ADDED            TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED         TIMESTAMP(6)      NOT NULL,
    ENABLE_ABUSE          NUMBER        ,
    HELPFUL_POINTS        NUMBER        ,
    HELPFUL_QUANTITY      NUMBER        ,
    MESSAGE_RATING_ID     VARCHAR2(128) ,
    OWNER_SITE_ID         VARCHAR2(128)     NOT NULL,
    RECORD_ID             VARCHAR2(128) ,
    REFERENCE_KEY         VARCHAR2(1020)    NOT NULL,
    SOLVED_POINTS         NUMBER        ,
    SOLVED_QUANTITY       NUMBER        ,
    TOPIC_RATING_ID       VARCHAR2(128) ,
    UNPUBLISH_IF_ABUSE    NUMBER        ,
    MODERATE_IF_ABUSE     NUMBER        ,
    USER_ID               VARCHAR2(128) ,
    USER_NAME             VARCHAR2(400)     NOT NULL,
    USER_PARTY_ID         NUMBER(18, 0) ,
    CONSTRAINT pk_cso_discussion_board PRIMARY KEY (RECORD_ID, RECORD_ID)
);
